MAKEDEV(8)

NAME
MAKEDEV, DESCRIBE - make/describe device files

SYNOPSIS
MAKEDEV [-n | -m] [-r | -s] [key ...]
DESCRIBE [device ...]

DESCRIPTION
MAKEDEV may be used to create the device files normally found in the /dev directory. MAKEDEV knows about all supported devices and will create them in the current directory with the proper owner and mode. For many devices MAKEDEV will not only create the device you want, but also the devices related to it that you will probably want too. Naming one floppy device will create all floppy devices for the same drive for instance.

The options are as follows:

-n  echo the commands it would execute when you call it without that flag.

-m  echo mtree(8) formatted lines instead of creating the device nodes.

-r  Restricted set of devices. This set is used when generating the ramdisk.

-s  Standard set of devices. This set is used when popluating /dev.

key arguments are simply the names of the devices you want to create. Call MAKEDEV without arguments to see a list of keys that it understands.

The command DESCRIBE will give you a one-line description of a given device. By default It will list all devices in /dev.

SEE ALSO
dev(4), mknod(8)

BUGS
The eagerness of MAKEDEV to create devices may cause many "File exists" errors from mknod.

AUTHORS
Written by Kees J. Bot (kjb@cs.vu.nl) and Lionel A. Sambuc (lionel@minix3.org)